package uca.baptistearthur.geocaching.ui.fragment

import android.annotation.SuppressLint
import android.os.Bundle
import androidx.fragment.app.Fragment
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.Button
import android.widget.EditText
import androidx.navigation.fragment.findNavController
import androidx.recyclerview.widget.LinearLayoutManager
import androidx.recyclerview.widget.RecyclerView
import uca.baptistearthur.geocaching.R
import uca.baptistearthur.geocaching.data.Stub
import uca.baptistearthur.geocaching.model.RoadTripEntity
import uca.baptistearthur.geocaching.recyclerview.RoadTripAdapter
import java.util.*

class RoadTripFragment : Fragment() {
    private var model = Stub().load()
    private var roadTripRecyclerView : RecyclerView? = null


    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
    }

    @SuppressLint("MissingInflatedId")
    override fun onCreateView(inflater: LayoutInflater, container: ViewGroup?, savedInstanceState: Bundle?): View? {
        val view = inflater.inflate(R.layout.fragment_roadtrip, container, false)

        roadTripRecyclerView = view?.findViewById(R.id.recyclerViewRoadTripList)
        roadTripRecyclerView?.adapter = RoadTripAdapter(model, findNavController())
        roadTripRecyclerView?.layoutManager = LinearLayoutManager(context)

        return view
    }
}